/* Defines for register positions, for camera sensor type OV7XX0     */
/* Not to be confused with the "USB Bridge" hardware, which is OV511 */

#ifndef _OV7XX0_
#define _OV7XX0_

typedef enum  { UNPROBED, OV7610, OV7620, UNKNOWN } SENSORTYPE;

#define OV7XX0_COM_A	0x12
 #define OV7XX0_COMA_RESET	0x80

#define OV7XX0_COM_D	0x15

#define OV7XX0_ID_MSB	0x1c
#define OV7XX0_ID_LSB	0x1d

#define OV7XX0_COM_I	0x29


#endif /* #ifndef _OV7XX0_ */
